local stained_glass = {
   red1s = 'red',
   red2s = 'red',
   blue1s = 'blue',
   blue2s = 'blue',
   green1s = 'dark_green',
   green2s = 'dark_green',
   ygs = 'dark_green',
   florals = 'violet',
   rbs = 'violet',
   aqua1s = 'cyan',
   grey1s = 'grey',
   ofas = 'cyan',
   ofgs = 'grey',
}

for name, dye in pairs(stained_glass) do

   stations.dual_register_recipe('glazier', {
      input = {
         ['xpanes:pane_flat'] = 1,
         ['epic:lead_wire'] = 1,
         ['dye:'..dye] = 1,
      },
      output = 'stainedglass:'..name,
   })
end
